Bug 164460 - mke2fs: Permission denied while trying to determine filesystem size
mke2fs: Permission denied while trying to determine filesystem size
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-27 19:53 EDT by Mark P. Mendelsohn
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 10:20:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark P. Mendelsohn 2005-07-27 19:53:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 1.1.4322)

Description of problem:
mke2fs command is failing on x86_64 platform but works fine on i686 platform
with same OS version and same data.

On x86_64

mke2fs 1.37 (21-Mar-2005)
mke2fs: Permission denied while trying to determine filesystem size

On i686

mke2fs 1.37 (21-Mar-2005)
Filesystem label=
OS type: Linux
Block size=1024 (log=0)
Fragment size=1024 (log=0)
2176 inodes, 8704 blocks
0 blocks (0.00%) reserved for the super user
First data block=1
Maximum filesystem blocks=8912896
2 block groups
8192 blocks per group, 8192 fragments per group
1088 inodes per group
Superblock backups stored on blocks:
    8193

Writing inode tables: 0/2^H^H^H1/2^H^H^Hdone
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 39 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.



Version-Release number of selected component (if applicable):
e2fsprogs-1.37-4

How reproducible:
Always

Steps to Reproduce:
1.Create a file and put data in it
2.run the command mke2fs -m0 -F <filename> on it
3.
  

Additional info:
Comment 1 Thomas Woerner 2005-07-29 06:03:39 EDT
Is selinux enabled on the x86_64 system? Is it also enabled on the i386 version?
Comment 2 Mark P. Mendelsohn 2005-07-29 11:28:45 EDT
selinux is enabled on the x86_64 system but not
on the i386 system.
Comment 3 Thomas Woerner 2005-07-29 11:36:12 EDT
Ok, this might be the problem. Please test without selinux.
Comment 4 Mark P. Mendelsohn 2005-07-29 12:19:25 EDT
Disabling selinux on the x86_64 machine fixed the problem.
Comment 5 Thomas Woerner 2005-08-25 09:46:08 EDT
Assigning to selinux.
Comment 6 Daniel Walsh 2005-08-25 15:26:19 EDT
What avc messages are you seeing in the /var/log/messages or
/var/log/audit/audit.log files?

What version of policy are you running
rpm -q selinux-policy-targeted
Comment 7 John Thacker 2006-05-05 10:20:49 EDT
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.